Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.io
Interface InterleavedInputComponent

All Superinterfaces:
  InputComponentIO, java.io.Serializable

All Known Implementing Classes:
  BooleanInput, InterleavedInputComponentBase, Interval21HiddenSequenceTranslator, IntervalInput, IntInput, IntInputInterval29, MultipleAlignmentInput, NameInput, StringInput

    public interface InterleavedInputComponent

extends InputComponentIO

an input component that can be used with the `InputHandlerInterleaved`. This is a regular input component that also has input and output methods that take a BufferedReader to use when reading data from the input file.

Method Summary
`boolean` | `read(java.io.BufferedReader r, java.util.Map<java.lang.String,InputSequence<?>> output)` Read the contents of the sequence in from a reader.
`void` | `write(java.io.Writer w, java.util.Map<java.lang.String,? extends InputSequence<?>> data)` Output this sequence to the given writer.

Methods inherited from interface calhoun.analysis.crf.io.InputComponentIO
`getComponentNames, readInputSequences, writeInputSequences`

Method Detail

### read

    boolean read(java.io.BufferedReader r,
                 java.util.Map<java.lang.String,InputSequence<?>> output)
                 throws java.io.IOException

  Read the contents of the sequence in from a reader. Return false if the end of file was reached.

  Parameters:
    `r` - the buffered reader from which the next sequence should be read.
    `output` - a map to which new components for this input sequence should be added.
  Returns:
    true if a sequence was read in and the map was populated. false if the end of the sequence was reached.
  Throws:
    `java.io.IOException`

### write

    void write(java.io.Writer w,
               java.util.Map<java.lang.String,? extends InputSequence<?>> data)
               throws java.io.IOException

  Output this sequence to the given writer.

  Parameters:
    `w` - a writer to which this sequence should be written
    `data` - a map containing the data for the sequence to be written
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD